<?php
namespace Pinpoint\Conesso\Api\Data;

interface ProductSyncInterface
{
    const SCHEMA = 'connesso_product_sync';
    const ID = 'id';

    const PRODUCT_ID = 'product_id';

    const PRODUCT_SKU = 'product_sku';
    const EVENT_TYPE = 'event_type';
    const STORE_ID = 'store_id';
    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';
    const IS_SYNCED = 'is_synced';
    const EVENT_TYPE_SAVE = 'save_product';
    const EVENT_TYPE_DELETE = 'delete_product';

    public function getId() : ?int;

    public function setId($id);

    public function getProductId() : ?int;

    public function setProductId($productId);

    public function getProductSku() : ?string;

    public function setProductSku($sku);

    public function getEventType() : ?string;

    public function setEventType($eventType);

    public function getStoreId() : int;

    public function setStoreId($storeId);

    public function getCreatedAt();

    public function setCreatedAt($createdAt);

    public function getUpdatedAt();

    public function setUpdatedAt($updatedAt);

    public function getIsSynced() : ?int;

    public function setIsSynced($isSynced);
}
