<?php
namespace Pinpoint\Conesso\Api\Repository;

use Magento\Framework\Api\SearchCriteriaInterface;
use Pinpoint\Conesso\Api\Data\ContactSyncInterface;
interface ContactsRepositoryInterface
{
    /**
     * @param ContactSyncInterface $contactSync
     * @return mixed
     */
    public function save(ContactSyncInterface $contactSync);

    /**
     * @param ContactSyncInterface $contactSync
     * @return bool
     */
    public function delete(ContactSyncInterface $contactSync): bool;

    /**
     * @param int $id
     * @return bool
     */
    public function deleteById(int $id): bool;

    /**
     * @param SearchCriteriaInterface $searchCriteria
     * @return mixed
     */
    public function getList(SearchCriteriaInterface $searchCriteria);

}
