<?php
namespace Pinpoint\Conesso\Model\Api\Management\Process;

use Magento\Framework\ObjectManagerInterface;
use Pinpoint\Conesso\Api\Management\ProcessDataInterface;

class ProcessFactory
{
    private $objectManager;

    private $processObj;
    public function __construct(
        ObjectManagerInterface $objectManager
    ) {
        $this->objectManager = $objectManager;
    }

    public function getProcess($type) : ProcessDataInterface
    {
        switch ($type) {
            case 'customer' :
                $this->processObj = $this->objectManager->create(Customer::class);
                break;
            case 'products' :
                $this->processObj = $this->objectManager->create(Products::class);
                break;
        }
        return $this->processObj;
    }
}
